## bibus 1.4.3.2

=== Makefile ===
# you presumably will only have to change the three first lines below
DESTDIR = /usr/local
python = /usr/bin/python
oopath = /usr/lib/openoffice/program
ooure = /usr/lib/openoffice.org/basis-link/ure-link/lib
oobasis = /usr/lib/openoffice/basis-link/program
#
prefix = $(DESTDIR)
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
datadir = $(prefix)/share
sysconfdir = /etc
mandir = $(prefix)/share/man
man1dir = $(mandir)/man1

define install-files
	install -d $(datadir)/bibus
	install -m644 *.py MySQL_Bibus.ini $(datadir)/bibus/
	#
	for dir in Export Format Import StyleEditor FirstStart bibOOo db_models Pixmaps Data; do \
		find $$dir ! -wholename '*CVS*' -a -type f -exec install -m644 '{}' -D $(datadir)/bibus/'{}' ';' ; \
	done
	install -m644 Setup/UnoConnectionListener.odg -D $(datadir)/bibus/Setup/UnoConnectionListener.odg
	# locale files. We look for all the directory in locale/
	for dir in $(wildcard locale/*); do \
		if [ -d $$dir ] && [ $$dir != "locale/CVS" ]; then \
			install -m644 $$dir/LC_MESSAGES/bibus.mo -D $(datadir)/$$dir/LC_MESSAGES/bibus.mo ; \
		fi; \
	done
	# bibus.config in /etc
	install -m644 bibus.config -D $(sysconfdir)/bibus.config
	# man page
	install -m644 Setup/bibus.1 -D $(man1dir)/bibus.1

	# freedesktop icon and shortcut
	install -m644 Pixmaps/bibus.png -D $(datadir)/icons/hicolor/48x48/apps/bibus.png
	install -m644 Setup/bibus.desktop -D $(datadir)/applications/bibus.desktop
	# The following lines are presumably not needed since icons/desktop are in standard locations
	#echo 'Exec=$(bindir)/bibus' >> $(datadir)/applications/bibus.desktop
	#echo 'Icon=$(datadir)/icons/hicolor/48x48/apps/bibus.png' >> $(datadir)/applications/bibus.desktop

	# bibus command
	install -d $(bindir)
	ln -sf $(datadir)/bibus/bibusStart.py $(bindir)/bibus
	chmod 755 $(datadir)/bibus/bibusStart.py

	# basic doc files
	install -m755 -d $(datadir)/doc/bibus
	install -m644 Docs/*.txt Docs/CHANGELOG Docs/copying $(datadir)/doc/bibus

	# generating bibus.cfg file
	echo '[PATH]' > $(datadir)/bibus/bibus.cfg
	echo 'python = $(python)' >> $(datadir)/bibus/bibus.cfg
	echo 'oopath = $(oopath)' >> $(datadir)/bibus/bibus.cfg
	echo 'ooure = $(ooure)' >> $(datadir)/bibus/bibus.cfg
	echo 'oobasis = $(oobasis)' >> $(datadir)/bibus/bibus.cfg
	echo 'docdir = $(datadir)/doc/bibus/html' >> $(datadir)/bibus/bibus.cfg
	echo 'licence = $(datadir)/doc/bibus/copying' >> $(datadir)/bibus/bibus.cfg
	echo 'localedir = $(datadir)/locale' >> $(datadir)/bibus/bibus.cfg
	echo 'systemconf = $(sysconfdir)/bibus.config' >> $(datadir)/bibus/bibus.cfg
endef

define install-doc-en
	# copying docs in from Docs/html/en/ for bibus-doc-en
	cd Docs;\
	find html/en/* -type f -exec install -m644 '{}' -D $(datadir)/doc/bibus/'{}' ';'
endef

define compile
	# compile recursively all the python files located in $(datadir)/bibus
	$(python) -c "import compileall ; compileall.compile_dir('$(datadir)/bibus')"
	$(python) -O -c "import compileall ; compileall.compile_dir('$(datadir)/bibus')"
endef

install-files:
	$(install-files)

install-doc-en:
	$(install-doc-en)

install:
	$(install-files)
	$(install-doc-en)
	$(compile)

	# write uninstaller in $(datadir)/bibus/Setup/uninstall.sh
		echo "#!/bin/sh" > $(datadir)/bibus/Setup/uninstall.sh
		echo "rm -rf $(datadir)/bibus" >> $(datadir)/bibus/Setup/uninstall.sh
		echo "rm $(bindir)/bibus" >> $(datadir)/bibus/Setup/uninstall.sh
		echo "find $(datadir)/locale -name bibus.mo -exec rm -f {} \;" >> $(datadir)/bibus/Setup/uninstall.sh
		echo "rm $(sysconfdir)/bibus.config" >> $(datadir)/bibus/Setup/uninstall.sh
		echo "rm $(man1dir)/bibus.1" >> $(datadir)/bibus/Setup/uninstall.sh
		echo "rm -rf $(datadir)/doc/bibus" >> $(datadir)/bibus/Setup/uninstall.sh
		echo "rm $(datadir)/applications/bibus.desktop" >> $(datadir)/bibus/Setup/uninstall.sh
		echo "rm $(datadir)/icons/hicolor/48x48/apps/bibus.png" >> $(datadir)/bibus/Setup/uninstall.sh
	chmod 744 $(datadir)/bibus/Setup/uninstall.sh
	# end uninstaller

## bibus 1.5.1

=== debian/changelog ===
bibus (1.5.1-5) unstable; urgency=low

  * debian/control:
    - Mention LibreOffice also here as an alternative to OpenOffice.org

 -- Jan Beyer <jan@beathovn.de>  Fri, 30 Sep 2011 22:39:36 +0200

bibus (1.5.1-4) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format (debian/compat + control)
  * Bumped Standards-Version to 3.9.2 (no changes needed)
  * Switched to dh_python2 (Closes: #616745)
  * debian/control:
    - Added libreoffice-writer to Recommends (Closes: #637638)
  * Adapting bibus.1 and bibus.cfg to LibreOffice
  * Moved bibus-doc-en from Recommends to Suggests, as it is outdated
  * debian/rules:
    - Added recommended build-arch and build-indep targets

 -- Jan Beyer <jan@beathovn.de>  Fri, 30 Sep 2011 21:39:32 +0200

bibus (1.5.1-3) unstable; urgency=low

  * Added patch do-not-import-SearcheTBlast-py.patch to finally avoid any calls
    to ClientForm.py (thanks to Jonathan Schultz for noticing and reporting the
    problem)

 -- Jan Beyer <jan@beathovn.de>  Sat, 12 Dec 2009 22:53:48 +0100

bibus (1.5.1-2) unstable; urgency=low

  * Remove mentioning of eTBlast access from long description

 -- Jan Beyer <jan@beathovn.de>  Sat, 28 Nov 2009 21:55:04 +0100

bibus (1.5.1-1) unstable; urgency=low

  [ Jan Beyer ]
  * New upstream release
    - disables eTBlast search, as it stopped working due to an eTBlast-website
      restructuring
  * Removed ClientForm.py as it is not needed any longer (Closes: #555332)
  * Installing patched man-page, where mention of eTBlast search capability is
    removed
  * Added lintian override for the script-not-executable warning on the
    examples in /usr/share/bibus/LyX/examples

  [ Charles Plessy ]
  * Depend on python-wxgtk2.8 only as Bibus does not accept 2.6 anymore

 -- Jan Beyer <jan@beathovn.de>  Sat, 28 Nov 2009 21:40:50 +0100

bibus (1.5.0-1) unstable; urgency=low

  * New upstream release
    - patch fix-BibTeXImport.patch dropped, as it is incorporated upstream
    - patch fix-finalizing-issue.patch dropped, as it is incorporated upstream
    - man-page debian/bibus.1 dropped, as it is incorporated upstream

 -- Jan Beyer <jan@beathovn.de>  Mon, 12 Oct 2009 22:44:05 +0200

bibus (1.4.3.2-5) unstable; urgency=low

  * Installing our own, updated, manpage again, which got lost in the previous
    upload.

 -- Jan Beyer <jan@beathovn.de>  Thu, 10 Sep 2009 22:06:41 +0200

bibus (1.4.3.2-4) unstable; urgency=low

  * debian/rules:
    - removed dh_desktop call, as it's deprecated
  * Bumped standards version to 3.8.3 (no changes needed)
  * Added two patches from upstream:
    - fix-BibTeXImport.patch to improve BibTeX import
    - fix-finalizing-issue.patch to make finalizing work with OOo 3.1

 -- Jan Beyer <jan@beathovn.de>  Thu, 10 Sep 2009 21:27:13 +0200

bibus (1.4.3.2-3) unstable; urgency=low

  [ Jan Beyer ]
  * debian/control:
    - bibus recommends no longer openoffice.org, but only openoffice.org-writer
      (LP: #382448).
    - bibus-doc-en now depends on w3m instead of lynx, which has a lower
      priority.

  [ Charles Plessy ]
  * debian/control:
    - Allow Jan to upload bibus (DM-Upload-Allowed: yes)
  * Simplified debian/copyright according to the latest format draft.

 -- Charles Plessy <plessy@debian.org>  Sun, 07 Jun 2009 00:28:22 +0900

bibus (1.4.3.2-2) unstable; urgency=low

  [ Jan Beyer ]
  * Install also screenshots for documentation.
  * Fix <img ...> tags in the documentation to no longer distort images.
  * New standards version 3.8.1 needed addition of README.source.
  * Changes in debian/control to follow new Python packaging policy:
    - versioned build-dependencies for debhelper and python-central
    - added current keyword to XS-Python-Version
  * Removed debian/bibus.postinst, as its content was unnecessary.

  [ Charles Plessy ]
  * Corrected the Subversion URL in debian/control.

 -- Charles Plessy <plessy@debian.org>  Mon, 30 Mar 2009 10:40:05 +0900

bibus (1.4.3.2-1) unstable; urgency=low

  [ Jan Beyer ]
  * Initial release (Closes: #470887)

  [ Charles Plessy ]
  * Upload for Jan, who did all the work. 

 -- Charles Plessy <plessy@debian.org>  Fri, 30 Jan 2009 13:14:38 +0900

## bibus 1.5.2

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	install -d $(datadir)/bibus
 	install -m644 *.py MySQL_Bibus.ini $(datadir)/bibus/
 	#
-	for dir in Export Format Import StyleEditor FirstStart bibOOo db_models Pixmaps Data; do \
+	for dir in Export Format Import StyleEditor FirstStart bibOOo db_models Pixmaps Data LyX Utilities; do \
 		find $$dir ! -wholename '*CVS*' -a -type f -exec install -m644 '{}' -D $(datadir)/bibus/'{}' ';' ; \
 	done
 	install -m644 Setup/UnoConnectionListener.odg -D $(datadir)/bibus/Setup/UnoConnectionListener.odg

=== debian/changelog ===
bibus (1.5.2-5) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * debhelper 11
  * d/rules: short debhelper
  * Remove menu file
  * Fix some DEP5 issues
  * Avoid privacy breach by sourceforge logo
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Wed, 24 Jan 2018 11:19:50 +0100

bibus (1.5.2-4) unstable; urgency=medium

  * Add a patch for compatibility with python-wxgtk3.0 (Closes: #758943)
    - Reworked patching bibOOo/bibOOoBase.py as separate patch
  * Standards-Version 3.9.5 (no changes needed)

 -- Jan Beyer <jan@beathovn.de>  Tue, 02 Sep 2014 21:54:07 +0200

bibus (1.5.2-3) unstable; urgency=low

  * bibOOo/bibOOoBase.py
    - install patched upstream version to support LibreOffice 4.1.1
  * Standards-Version 3.9.4
    - updated debian/copyright format

 -- Jan Beyer <jan@beathovn.de>  Sun, 08 Sep 2013 21:10:33 +0200

bibus (1.5.2-2) unstable; urgency=low

  * Add a patch from upstream to enable finalizing with LibreOffice 4

 -- Jan Beyer <jan@beathovn.de>  Sat, 25 May 2013 20:37:05 +0200

bibus (1.5.2-1) unstable; urgency=low

  * New upstream release
    - does not raise Python string exceptions any longer (Closes: #585214)
  * Removed do-not-import-SearcheTBlast-py.patch, as functionality seems
    fixed upstream

 -- Jan Beyer <jan@beathovn.de>  Sun, 12 Feb 2012 17:33:09 +0100

=== debian/control ===
Source: bibus
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jan Beyer <jan@beathovn.de>,
           Charles Plessy <plessy@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~)
Build-Depends-Indep: python
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/bibus.git
Vcs-Git: https://salsa.debian.org/science-team/bibus.git
Homepage: http://bibus-biblio.sourceforge.net/
X-Python-Version: >= 2.5

Package: bibus
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-wxgtk3.0
Recommends: libreoffice-writer | openoffice.org-writer,
            python-uno
Suggests: python-mysqldb,
          unixodbc,
          odbcinst1 | odbcinst1debian2,
          libmyodbc | libsqliteodbc,
          bibus-doc-en
Description: bibliographic database
 Bibus is a bibliographic database which has been developed with LibreOffice/
 OpenOffice.org in mind. It can directly insert citations and format the
 bibliographic index in an open OpenOffice.org Writer document. The main
 features are
  * hierarchical organization of the references with user-defined keys
  * designed for multiuser-environments (share databases between users)
  * a search engine supporting live queries
  * on-line PubMed access
  * import of PubMed (Medline), EndNote/Refer, RIS and BibTeX records.
 .
 Bibus will use an SQLite-database by default for storage (via the SQLite3
 module available in Python >2.5). But it also supports MySQL-databases.
 If you want to use a MySQL-database, make sure, that you have the
 python-mysqldb package installed.

Package: bibus-doc-en
Architecture: all
Section: doc
Depends: w3m | www-browser,
         ${misc:Depends}
Suggests: bibus
Description: Bibus bibliographic database documentation
 Bibus is a bibliographic database which has been developed with LibreOffice/
 OpenOffice.org in mind and can directly insert citations and format the
 bibliographic index in an open LibreOffice/OpenOffice.org Writer document.
 .
 This package contains the Bibus documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

BIBUSDESTDIR = $(CURDIR)/debian/bibus
BIBUSDOCDESTDIR = $(CURDIR)/debian/bibus-doc-en

%:
	dh $@ --with python2

override_clean: 
	find . -name '*.py[co]' -exec rm {} \;
	dh_clean

override_dh_auto_build:
	echo "Do nothing"

override_dh_auto_install:
	$(MAKE) -f Setup/Makefile install-files DESTDIR=$(BIBUSDESTDIR)/usr sysconfdir=$(BIBUSDESTDIR)/etc
	
	chmod 755 $(BIBUSDESTDIR)/usr/share/bibus/bibus.py
	rm -f $(BIBUSDESTDIR)/usr/share/bibus/bibusStart.py
	rm -f $(BIBUSDESTDIR)/usr/share/doc/bibus/*
	rm -f $(BIBUSDESTDIR)/usr/share/man/man1/bibus.1
	
	$(MAKE) -f Setup/Makefile install-doc-en DESTDIR=$(BIBUSDOCDESTDIR)/usr

override_dh_installchangelogs:
	dh_installchangelogs -i Docs/CHANGELOG

## bibus 1.5.2%2Bdfsg

=== debian/changelog ===
bibus (1.5.2+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Remove unnecessary X-Python{,3}-Version field in debian/control.

  [ Andreas Tille ]
  * Remove Jan Beyer <jan@beathovn.de> from Uploaders
    (Jan, thanks for your work on this package)
    Closes: #871604
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright
  * Remove trailing whitespace in debian/rules
  * Drop binary from source

 -- Andreas Tille <tille@debian.org>  Sun, 06 Jan 2019 22:22:03 +0100

## bibus 1.5.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: bibus
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Jan Beyer <jan@beathovn.de>,
-           Charles Plessy <plessy@debian.org>
+Uploaders: Charles Plessy <plessy@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 11~)
 Build-Depends-Indep: python
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/science-team/bibus.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/science-team/bibus
 Vcs-Git: https://salsa.debian.org/science-team/bibus.git
 Homepage: http://bibus-biblio.sourceforge.net/
-X-Python-Version: >= 2.5
 
 Package: bibus
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 %:
 	dh $@ --with python2
 
-override_clean: 
+override_clean:
 	find . -name '*.py[co]' -exec rm {} \;
 	dh_clean
 
@@ -18,12 +18,12 @@
 
 override_dh_auto_install:
 	$(MAKE) -f Setup/Makefile install-files DESTDIR=$(BIBUSDESTDIR)/usr sysconfdir=$(BIBUSDESTDIR)/etc
-	
+
 	chmod 755 $(BIBUSDESTDIR)/usr/share/bibus/bibus.py
 	rm -f $(BIBUSDESTDIR)/usr/share/bibus/bibusStart.py
 	rm -f $(BIBUSDESTDIR)/usr/share/doc/bibus/*
 	rm -f $(BIBUSDESTDIR)/usr/share/man/man1/bibus.1
-	
+
 	$(MAKE) -f Setup/Makefile install-doc-en DESTDIR=$(BIBUSDOCDESTDIR)/usr
 
 override_dh_installchangelogs:

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  http://sf.net/bibus-biblio/bibus_(.+)\.orig\.tar\.gz
